# NEW RECORDS FOR: STORE MODE ADDON
# THE CONFIGURATION GROUP SORT ORDER MAY BE CHANGED
INSERT INTO configuration_group (configuration_group_id, configuration_group_title, configuration_group_description, sort_order, visible) VALUES (1501, 'Store Mode', 'Open, Closed, or Maintenance Mode', '30', '1');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added) VALUES ('Current Store Mode', 'STORE_MODE', 'Open', '<b>Open</b>: fully functional store<br><b>Closed</b>: checkout is disabled<br><b>Maintenance</b>: redirected to maintenance page', '1501', '1', 'tep_cfg_select_option(array(\'Open\', \'Closed\', \'Maintenance\'), ', now(), now());

INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('', 'Enable holidays message?', 'STORE_MODE_HOLIDAYS', 'false', 'This informs the customer that we can not fulfill your orders until we get back from holidays. The shop is open between.', 1501, 2, now(), now(), NULL, 'tep_cfg_select_option(array(\'true\', \'false\'),');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added) VALUES ('Offline Warning', 'OFFLINE_WARNING', 'false', 'If enabled when the store is in Open mode, a message will display at the top of each catalog page warning your customers that the store will be going offline. This message is configurable in your language file.', '1501', '3', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now());

INSERT INTO configuration VALUES (NULL, 'Store Offline (Date/Time)', 'OFFLINE_DATE_TIME', 'Date and Time', 'Set the date and time which you desire your store to be offline [closed or maintenance].<br><br>mm/dd/yyyy at hh:mm am/pm<br>', 1501, 4, now(), now(), NULL, NULL);

INSERT INTO configuration VALUES (NULL, 'Store Online (Date/Time)', 'ONLINE_DATE_TIME', 'Date and Time', 'Set the date and time which you desire your store to return online [open].<br><br>mm/dd/yyyy at hh:mm am/pm<br>', 1501, 5, now(), now(), NULL, NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added) VALUES ('Maintenance Page', 'MAINTENANCE_FILENAME', 'index_maintenance.php', 'This is the webpage to which users will be redirected while the store is offline for maintenance.<br><br>filename.php or filename.html<br>', '1501', '6', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added, use_function) VALUES ('Maintenance Mode: Testing', 'MAINTENANCE_TESTING', 'false', 'This temporarily disables the automatic ip detection so that you may view the maintenance page from the customers point of view for testing purposes.', '1501', '7', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now(), NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added, use_function) VALUES ('Maintenance Mode: Hide Header', 'HEADER_OFF', 'false', 'This hides the header when displaying the maintenance page.<br><br>true = hide | false = show', '1501', '8', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now(), NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added, use_function) VALUES ('Maintenance Mode: Hide Column Left', 'COLUMN_LEFT_OFF', 'false', 'This hides the left column when displaying the maintenance page.<br><br>true = hide | false = show', '1501', '9', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now(), NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added, use_function) VALUES ('Maintenance Mode: Hide Column Right', 'COLUMN_RIGHT_OFF', 'false', 'This hides the right column when displaying the maintenance page.<br><br>true = hide | false = show', '1501', '10', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now(), NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added, use_function) VALUES ('Maintenance Mode: Hide Footer', 'FOOTER_OFF', 'false', 'This hides the footer when displaying the maintenance page.<br><br>true = hide | false = show', '1501', '11', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now(), NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added, use_function) VALUES ('Maintenance Mode: Hide Prices', 'PRICES_OFF', 'false', 'This hides the product prices when displaying the maintenance page.<br><br>true = hide | false = show', '1501', '12', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now(), NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added) VALUES ('Admin IP Address', 'OFFLINE_IP_ADDRESS', 'Your Current IP', 'This IP address will be able to access the site while everyone else is redirected to the maintenance page.<br><br>Though your current ip address should be detected automatically, you can discover it at <b>www.find-ip-address.org</b><br>', '1501', '13', now(), now());